CMS Tool API schema
Public API version 1.4.10.
Payment Methods
The available payment methods at checkout. An order can only have 1 payment method, but the admin can change the payment method, and take part payments.
Endpoint URL
https://api.cms-tool.net/api/paymentop
/api/paymentOption
Read and update payment options.
GET
List records, or retrieve one by appending its ID to the path.
Query parameters
| Name | Type | Example | Notes |
|---|---|---|---|
id | int | 123 | Filter results by id. |
offset | int | 123 | Skip this many matching records before returning results. |
pageSize | int | 123 | Limit the number of records returned. |
POST
Create or update a record from a JSON object.
Request content type: application/json
Request body fields
| Name | Type | Example | Notes |
|---|---|---|---|
id | int | 123 | Set the id value. |
payopid | int | 123 | Set the payopid value. |
payopidcode | text | ABC123 | Set the payopidcode value. |
minimumspend | number | 19.95 | Set the minimumspend value. |
percentdiscount | number | 19.95 | Set the percentdiscount value. |
valuediscount | number | 19.95 | Set the valuediscount value. |
Data definitions
| Field | Type | Description | Format | Example |
|---|---|---|---|---|
payopmbrlevel | int | Customer Security Level | ||
payopmbrgroupid | int | Limit use to customers from member group ID | ||
payopmaxvalue | decimal | Maximum value of transaction for which this payment method is valid | ||
payoppage | int | If limited to a specific shopping page, then this is the page ID of that page, otherwise 0 for all pages | ||
payop_notifany_categoryid | int | This payment method is not available if any product is in this category ID | ||
paymentop_config | text | Additional Config in JSON format. | ||
payopdetailbefore | text | A description of this payment method presented to the user when considering which payment option to choose | ||
payop_auto_paid_status | bool | Automatically mark order as paid if paying by this method, eg for customers who have trade accounts. | ||
payoptitlebefore | text | A user friendly title for this payment option | ||
payopmbrlevelmax | int | Use this to hide a retail payment offer from your trade customers | ||
payopinstallmentpercent | decimal | Installment percent when using deposits and post payments required | ||
payopnosendreceiptmerchant | char | If true, do not send a receipt copy to the merchant to avoid noise | ||
payoptransfeepc | decimal | A percentage transaction fee for using this payment option, eg 2% = 0.02 | ||
payopnosendreceipt | char | If true, do not send a receipt, why i do not know | ||
payop_ifall_categoryid | int | If all products are in this category, then the option is available | ||
payopcurrency | char | Currency if limited to a specific currency | ||
payop_api_gl_account | text | When syncing payment to a third party accounting system, use this GL code for payments | ||
payop_rounding | decimal | Rounding would equal 0.10 if rounding to 10 cents | ||
payopnosendorder | char | If true, do not send the order email to the customer, rather wait for the order to be paid | ||
payopminvalue | decimal | Minimum spend before this method is available to use | ||
payoptype | text | The type of payment option, foreign key to the list of available payment options. | ||
payopaccount | text | Primary credtential user ID or key for connecting to a payment gateway | ||
payop_if_map_filter | int | Only supported in a specific country related to the delivery country. | ||
payopdepositpercent | decimal | If using this payment method, the customer only needs to pay a deposit of this amount. | ||
payop_icon_personalised | text | ICON Image for use on template footer payment methods accepted gallery | ||
payoppriority | int | A sorting number from 1 upwards, as to which order to display payment options to user | ||
payop_changeable | bool | Can the payment method be changed to another method after purchase... By default true | ||
payopinstallmentinterval | interval | Installmen Interval when deposits and post payments required | 01:00:00 | |
payopnosendordermerchant | char | If true, do not send a order copy to the merchant to avoid noise | ||
payoptestcode | text | Typically single char = T if operating in test mode against a test server with test credentials | ||
payopshowmbrid | char | If T, then show the customer ID on the final screen | ||
payop_auto_cancellations | interval | Auto cancel after this period of time if the user has not paid in order to release stock | 01:00:00 | |
payoplogo | text | Alternative logo to use for this payment methods | ||
payopbatched | bool | If daily transactions are batched | ||
payop_remind_unpaid_carts | interval | Send Unpaid Order Reminder after this interval if unpaid | 01:00:00 | |
payop_allow_cancellations | interval | Allow users to cancel their order within this period of time. Otherwise, only a merchant can cancel | 01:00:00 | |
payop_notif_map_filter | int | Not supported in this country or region ID | ||
payop_extra1 | text | Credtential or setup field - depends on payment method | ||
payopdetailafter | text | Additional detail to provide to customer after they have chosen the method, eg bank address. | ||
pay_api_type_id | text | Peculiar to some accounting systems, will use this to sync the payment record to an order after payment received. | ||
payopsubacc | text | Additional account reference to be used along side API credentials when the API offers multiple sub accounts | ||
payopid | serial | Primary ID of the payment method. | 123456 | |
payop_extra2 | text | Credtential or setup field - depends on payment method | ||
payoptransfee | decimal | A fixed transaction fee for using this payment option, eg 50c | ||
payopsubscriptionenabled | bool | True if offering to save card details or for subscriptions where payment repeats without card present. |
Machine-readable documentation
This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.